(*1 *)
let rec est_un_systeme c = match c with
    | [] -> false
    | [h] -> h=1
    | h1::h2::t -> h1 > h2 && est_un_systeme (h2::t);;
est_un_systeme [3;4;3];;

(*2*)

(* Mq $x \geq M(x)$ par l'absurde 
	Supposons qu'on a M(x) > x
	alors il existe $k \in \mathbb{N}^m$ tel que 
